<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): TIGLCommunicationMessageDev Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structTIGLCommunicationMessageDev-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">TIGLCommunicationMessageDev Struct Reference<div class="ingroups"><a class="el" href="group__comm__engine.html">Communication Engine</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>message container for TX/RX  
 <a href="structTIGLCommunicationMessageDev.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="tiglCommunication_8hpp_source.html">tiglCommunication.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:abce41176d7b2808b745c94d99f542c63"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abce41176d7b2808b745c94d99f542c63"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#abce41176d7b2808b745c94d99f542c63">TIGLCommunicationMessageDev</a> ()</td></tr>
<tr class="memdesc:abce41176d7b2808b745c94d99f542c63"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor <br /></td></tr>
<tr class="separator:abce41176d7b2808b745c94d99f542c63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af192ef0016b471e4a3641792f64f2a03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af192ef0016b471e4a3641792f64f2a03"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#af192ef0016b471e4a3641792f64f2a03">reset</a> ()</td></tr>
<tr class="memdesc:af192ef0016b471e4a3641792f64f2a03"><td class="mdescLeft">&#160;</td><td class="mdescRight">resetting all counters <br /></td></tr>
<tr class="separator:af192ef0016b471e4a3641792f64f2a03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15fe6bbdde044cfa327721345a294b8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15fe6bbdde044cfa327721345a294b8e"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#a15fe6bbdde044cfa327721345a294b8e">getMessageCount</a> ()</td></tr>
<tr class="memdesc:a15fe6bbdde044cfa327721345a294b8e"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns the total number of messages of all types <br /></td></tr>
<tr class="separator:a15fe6bbdde044cfa327721345a294b8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a0ea7da2bd0e063ebc4572796f3bb7b0d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ea7da2bd0e063ebc4572796f3bb7b0d"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#a0ea7da2bd0e063ebc4572796f3bb7b0d">buf</a> [MAX_MESSAGE_SIZE]</td></tr>
<tr class="memdesc:a0ea7da2bd0e063ebc4572796f3bb7b0d"><td class="mdescLeft">&#160;</td><td class="mdescRight">byte buffer for message storage <br /></td></tr>
<tr class="separator:a0ea7da2bd0e063ebc4572796f3bb7b0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6b08d70daac37e7268197eedc3c711d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6b08d70daac37e7268197eedc3c711d"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#ae6b08d70daac37e7268197eedc3c711d">accMessageSize</a></td></tr>
<tr class="memdesc:ae6b08d70daac37e7268197eedc3c711d"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative size in buf <br /></td></tr>
<tr class="separator:ae6b08d70daac37e7268197eedc3c711d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3647d597dc8f1678971485b7b8086279"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3647d597dc8f1678971485b7b8086279"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#a3647d597dc8f1678971485b7b8086279">numTx</a></td></tr>
<tr class="memdesc:a3647d597dc8f1678971485b7b8086279"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative number of data message transmissions <br /></td></tr>
<tr class="separator:a3647d597dc8f1678971485b7b8086279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02805f910460aa8cb91e81003089b045"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a02805f910460aa8cb91e81003089b045"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#a02805f910460aa8cb91e81003089b045">numSysTx</a></td></tr>
<tr class="memdesc:a02805f910460aa8cb91e81003089b045"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative number of system message transmissions <br /></td></tr>
<tr class="separator:a02805f910460aa8cb91e81003089b045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90a38748ce1f33da1b9cc1b097e8e106"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a90a38748ce1f33da1b9cc1b097e8e106"></a>
uint_fast32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structTIGLCommunicationMessageDev.html#a90a38748ce1f33da1b9cc1b097e8e106">numMutationTx</a></td></tr>
<tr class="memdesc:a90a38748ce1f33da1b9cc1b097e8e106"><td class="mdescLeft">&#160;</td><td class="mdescRight">accumulative number of mutation message transmissions <br /></td></tr>
<tr class="separator:a90a38748ce1f33da1b9cc1b097e8e106"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>message container for TX/RX </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="tiglCommunication_8hpp_source.html">tiglCommunication.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:56 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
